Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-1287

CLI Core 7.0.0-master.34 fails to install "ioslib/node-ios-device" with error

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: CLI Release 7.0.0
    • Fix Version/s: CLI Release 7.0.0
    • Component/s: Core
    • Labels:
      None
    • Environment:
    • Severity:
      Major
    • Story Points:
      1
    • Sprint:
      2017 Sprint 24 Tooling

      Description

      Steps to reproduce:

      1. Go to preprod & run

       appc use 7.0.0-master.34

      .

      Actual results:

      1. Core installation goes well but it fails at installing ioslib/node-ios-device.

      Finding version 7.0.0-master.34 ... ✓
      Validating security checksum ✓
      Installing ... ✓
      Compiling platform native modules ...
      └ alloy/deasync ... ✓
      └ external-editor/spawn-sync ...  ✓
      └ bunyan/dtrace-provider ...  ✓
      └ package/appcd ...  ✓
      └ ioslib/node-ios-device ...Failed to install node-ios-deviceundefined; it may not support your current OS.
      └ bunyan/dtrace-provider ...  ✓
      └ axway-flow/jsonpath ...  ✓
      └ bunyan/dtrace-provider ...  ✓
      └ ldapjs/dtrace-provider ...  ✓
      Installed!!
      

      Expected results:

      1. Core installation should not error installing ioslib/node-ios-device.

        Attachments

          Activity

            People

            • Assignee:
              fmiao Feon Sua Xin Miao
              Reporter:
              lchoudhary Lokesh Choudhary
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Git Source Code